<script setup>
import Header from '../components/Header.vue';
import { usePostsStore } from '../stores/postsStore';
import { computed } from 'vue';
import { useRoute } from 'vue-router';

const postsStore = usePostsStore();
const route = useRoute();
const post = computed(() => postsStore.getPost(route.params.id))

</script>

<template>
    <Header />
    <router-link :to="({ name: 'AllUsers' })">Revenir à la liste</router-link>
    <div>
        <h1>{{ post.title }}</h1>
        <!-- <p> Posté par {{ user.username }}</p> -->
        <p>{{ post.content }}</p>
        <img :src="post.picture" :alt="post.title">
    </div>
</template>

<style lang="scss">
</style>